Subject: Re: bug#32334: Window resize fails in remote X11

From: Robert Pluim <[email-masked]>
Date: Wed, 01 Aug 2018 15:01:25 +0200

Eli Zaretskii <[email-masked]> writes:

> merge 32334 25474
> thanks
>
>> Date: Tue, 31 Jul 2018 18:35:01 +0200
>> From: Russell Adams <[email-masked]>
>> Cc: [email-masked]
>> 
>> On Tue, Jul 31, 2018 at 07:27:15PM +0300, Eli Zaretskii wrote:
>> > Does it help to disable double-buffering?  (NEWS tells how yo do
>> > that.)
>> 
>> That has fixed it. I could only describe the problem, not deduce it was related
>> to double buffering.
>
> It's not your fault.  I only know this because we've seen several
> similar bugs before.
>
>> Please close, thanks!
>
> I merged this with the other bugs about this.  Closing is too early,
> we still hope this could be fixed.

How can we fix it other than by disabling double buffering by default
and hoping people read NEWS and turn it on again? Iʼm not aware of a
way to programatically detect "your X server's implementation of XDBE
is buggy"

Robert